GET /openapi/memorylake/api/v3/workspaces/{workspaceId}/actors/{actorId}/memories/conflicts/{conflictId}
所需权限:
workspace:actor_fact_read路径参数
string
required
工作空间 ID
string
required
Actor ID
string
required
冲突 ID
curl -X GET 'https://app.memorylake.cn/openapi/memorylake/api/v3/workspaces/ws_abc123/actors/act-a1b2c3d4e5f6/memories/conflicts/conf-def456' \
-H 'Authorization: Bearer sk_xxxxxx'
响应
object
Show 冲突对象
Show 冲突对象
string
冲突标识符
string
简要描述冲突的标题
string
矛盾的详细说明
string
冲突类别:
m2m(事实与事实)或 m2d(事实与文档)boolean
冲突是否已解决
object
boolean
冲突检测之后,涉及的事实是否已发生变化
string
冲突类型:
logical 或 knowledgearray
冲突涉及的事实 ID
string
冲突首次检测时间
string
冲突最后更新时间
{
"success": true,
"data": {
"id": "conf-def456",
"name": "Contradicting dietary preference",
"description": "One fact states the user is vegetarian; another says their favorite dish is steak.",
"category": "m2m",
"resolved": true,
"resolve": {
"id": "res-1a2b3c4d",
"strategy": "keep_fact",
"keep_fact_id": "fact-101",
"forgotten_fact_ids": ["fact-102"],
"created_at": "2025-01-21T09:15:00Z"
},
"stale": false,
"conflict_type": "logical",
"fact_ids": ["fact-101", "fact-102"],
"fact_snapshots": [
{
"fact_id": "fact-101",
"fact_text": "User is vegetarian"
},
{
"fact_id": "fact-102",
"fact_text": "User's favorite dish is steak"
}
],
"file_chunks": [],
"created_at": "2025-01-20T14:30:00Z",
"updated_at": "2025-01-21T09:15:00Z"
}
}
如需解决该冲突,请调用解决 Actor 记忆冲突并传入您想要应用的策略。